package djmil.cordacheckers.cordaclient.dao;

public class Piece {
    
    public enum Type {
        MAN,
        KING,
    }

    public enum Color {
        WHITE,
        BLACK,
    }

    Color color;
    Type type;

    public Piece() {
        this.color = null;
        this.type = null;
    }

    public Piece(Color color, Type type) {
        this.color = color;
        this.type = type;
    }

    public Color getColor() {
        return color;
    }

    public Type getType() {
        return type;
    }

    @Override
    public String toString() {
        return color +"." +type;
    }

}
