package djmil.cordacheckers.gameboard;

import java.util.UUID;

import djmil.cordacheckers.contracts.GameBoardCommand;

public class CommandFlowArgs {
    private UUID gameBoardUuid;
    private GameBoardCommand command;

    // Serialisation service requires a default constructor
    public CommandFlowArgs() {
        this.gameBoardUuid = null;
        this.command = null;
    }
    
    public GameBoardCommand getCommand() {
        return this.command;
    }

    public UUID getGameBoardUuid() {
        return this.gameBoardUuid;
    }
}
