package djmil.cordacheckers.gameproposal;

import java.util.UUID;

import djmil.cordacheckers.contracts.GameProposalCommand;

public class CommandFlowArgs {
    private UUID gameProposalUuid;
    private String command;

    // Serialisation service requires a default constructor
    public CommandFlowArgs() {
        this.gameProposalUuid = null;
        this.command = null;
    }
    
    public GameProposalCommand getCommand() {
        return GameProposalCommand.valueOf(this.command);
    }

    public UUID getGameProposalUuid() {
        return this.gameProposalUuid;
    }
}
